<?php
/**
 * Dependency Container for Contao Open Source CMS
 * Copyright (C) 2013 Contao Community Alliance
 *
 * PHP version 5
 *
 * @package    dependency-container
 * @author     Christian Schiffler <c.schiffler@cyberspectrum.de>
 * @author     Tristan Lins <tristan@lins.io>
 * @copyright  (c) 2013 Contao Community Alliance
 * @license    LGPL-3.0+
 * @filesource
 */

error_reporting(E_ALL);

function includeIfExists($file)
{
    return file_exists($file) ? include $file : false;
}

if (
    // Locally installed dependencies
    (!$loader = includeIfExists(__DIR__.'/../vendor/autoload.php'))
    // We are within an composer install.
    && (!$loader = includeIfExists(__DIR__.'/../../../autoload.php'))) {
    echo 'You must set up the project dependencies, run the following commands:'.PHP_EOL.
        'curl -sS https://getcomposer.org/installer | php'.PHP_EOL.
        'php composer.phar install'.PHP_EOL;
    exit(1);
}

$GLOBALS['TL_HOOKS'] = array(
    'getPageLayout' => array(
        array('Another', 'hook')
    ),
);
